<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o4.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
var Operaciones=function(num1,num2){
	/* miembros */
	this.num1=0;
	this.num2=0;
	this.resultado=0;
	this.Sumar=function(){
		this.resultado=this.num1+this.num2;
	};
	this.Restar=function(){
		this.resultado=this.num2-this.num1;
	};
	this.Producto=function(){
		this.resultado=this.num2*this.num1;
	};
	this.verResultado=function(){
		console.log(this.resultado);
	};

	/* metodo que se va a ejecutar nada mas crear el objeto */
	this.Operaciones=function(num1,num2){
		this.num1=num1;
		this.num2=num2;
		this.resultado=0;
	};

	
	/* llamo a la funcion constructora */
	this.Operaciones(num1,num2);
};

var operacion1=new Operaciones(1,2);
console.log(operacion1.num1);
operacion1.Sumar();
operacion1.verResultado();
operacion1.Restar();
operacion1.verResultado();
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 4
</div>
<div class="explicacion">
Crear una funcion que se ejecute automaticamente cuando creas un objeto (para que realice el papel de metodo constructor que tienen otros lenguajes).
</div>
</div>
</body>
</html>
